> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tokens

> Retrieve a paginated list of all supported tokens for checkout. Sorted by most recent first.



## OpenAPI

````yaml GET /v1-alpha2/tokens
openapi: 3.0.1
info:
  description: |
    N/A
  version: 1.0.0
  title: Headless Checkout
  contact:
    name: Crossmint Headless Checkout APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags:
  - name: Headless Checkout
    description: APIs to use the headless checkout
paths:
  /v1-alpha2/tokens:
    get:
      tags:
        - Headless
      summary: Get All Tokens
      description: >
        Get a paginated list of all supported tokens available for checkout. Use
        this to discover which tokens your users can purchase through Crossmint.


        **API scope required**: `tokens.read`


        **Rate limit**: 5 requests per minute
      operationId: get-all-tokens
      parameters:
        - name: chains
          in: query
          description: >-
            Filter tokens by blockchain. Provide a comma-separated list of chain
            names (e.g., `solana,base`).
          required: false
          schema:
            type: string
          example: solana,base
        - name: tokenClasses
          in: query
          description: >-
            Filter tokens by category. Provide a comma-separated list of token
            classes. When omitted, returns all discoverable tokens.
          required: false
          schema:
            type: string
            enum:
              - memecoin
              - onramp
              - memecoin,onramp
          example: memecoin
        - name: cursor
          in: query
          description: >-
            Cursor for pagination. Use the `nextCursor` or `previousCursor`
            value from a previous response to navigate between pages.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of tokens to return per page. Defaults to 30, maximum
            is 100.
          required: false
          schema:
            type: string
            default: '30'
          example: '30'
      responses:
        '200':
          description: A paginated list of supported tokens.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllTokensResponse'
        '400':
          description: >-
            Invalid arguments, please make sure you're following the api
            specification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Response'
        '403':
          description: Forbidden error, please ensure the credentials are correct.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403Response'
        '503':
          description: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/503Response'
        '524':
          description: A timeout occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/524Response'
      security:
        - apiKey: []
components:
  schemas:
    GetAllTokensResponse:
      type: object
      title: Paginated list of supported tokens
      description: >-
        A paginated response containing a list of supported tokens and cursor
        for fetching the next page.
      properties:
        data:
          type: array
          description: Array of supported tokens
          items:
            $ref: '#/components/schemas/SupportedTokenResponse'
        nextCursor:
          type: string
          description: >-
            Cursor to fetch the next page of results. If not present, there are
            no more results.
          example: >-
            eyJkYXRhIjp7ImlkIjoiNjk4MGI3NDk4Y2RlNzgwZjk2NWQ1M2RhIiwiY3JlYXRlZEF0IjoiMjAyNC0wMS0wMVQwMDowMDowMy4wMDBaIn0sImRpcmVjdGlvbiI6ImZvcndhcmQiLCJzb3J0T3JkZXIiOiJkZXNjIiwidmVyc2lvbiI6MX0=
        previousCursor:
          type: string
          description: >-
            Cursor to fetch the previous page of results. If not present, you're
            on the first page.
          example: >-
            eyJkYXRhIjp7ImlkIjoiNjk4MGI3NDk4Y2RlNzgwZjk2NWQ1M2Q2IiwiY3JlYXRlZEF0IjoiMjAyNC0wMS0wMVQwMDowMDowMS4wMDBaIn0sImRpcmVjdGlvbiI6ImJhY2t3YXJkIiwic29ydE9yZGVyIjoiZGVzYyIsInZlcnNpb24iOjF9
      required:
        - data
    400Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          description: Human-readable error message describing what went wrong
        code:
          type: string
          description: Machine-readable error code for programmatic handling
          enum:
            - single_purchase_exceeded
            - daily_transaction_exceeded
            - token_daily_volume_exceeded
        parameters:
          type: object
          description: Additional parameters providing context for the error
          properties:
            amount:
              type: string
              description: Transaction amount that caused the error
            limit:
              type: string
              description: The limit that was exceeded
            hoursUntilReset:
              type: string
              description: Hours until the limit resets
            remainingAmount:
              type: string
              description: Remaining amount available before hitting the limit
    403Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Malformed API key. / API key provided doesn't have required scopes.
    503Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
    524Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: A timeout occurred.
    SupportedTokenResponse:
      type: object
      title: The requested token and its availability
      description: Information regarding the token that was requested and its availability
      properties:
        token:
          type: string
          description: The token locator that was queried
          example: solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        available:
          type: boolean
          description: Whether the token is supported by Crossmint
          example: true
        features:
          $ref: '#/components/schemas/TokenFeature'
      required:
        - token
        - available
        - features
    TokenFeature:
      type: object
      title: Token features
      description: The features show if the token is supported for credit card payment.
      properties:
        creditCardPayment:
          type: boolean
          description: Whether credit card payment is available for this token
          example: true
      required:
        - creditCardPayment
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````